Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-2747

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2011-2747
Last Modified 10 Aug 2011 10:51:56
Published 28 Jul 2011 02:55:02
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2011-2747

Summary

Google Picasa before 3.6 Build 105.67 does not properly handle invalid properties in JPEG images, which allows remote attackers to execute arbitrary code via a crafted image file.

Vulnerable Systems

Application

  • Google Picasa 3.5

  • Google Picasa 3.5 Build 79.67

  • Google Picasa 3.5 Build 79.69

  • Google Picasa 3.5 Build 79.74

  • Google Picasa 3.5 Build 79.81

  • Google Picasa 3.5 Build 95.18

  • Google Picasa 3.6 Build 105.41

  • Google Picasa 3.6 Build 105.61

  • Google Picasa 3.6 Build 105.65

  • Google Picasa 3.6 Build 95.25


References

XF - google-picasa-jpeg-code-exec(68735)

MISC - http://www.microsoft.com/technet/security/advisory/msvr11-008.mspx

SECUNIA - 45293

MISC - http://picasa.google.com/support/bin/static.py?hl=en&page=release_notes.cs&from=53209&rd=1

OSVDB - 73980


Last Updated: 27 May 2016 10:57:06